Skip to main content
PATCH
/
discounts
/
{id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.discounts.update({
    id: "<id>",
    discountRequest: {},
  });

  console.log(result);
}

run();
curl --request PATCH \
--url https://api.crevio.co/v1/discounts/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"amount_off": 123,
"percent_off": 123,
"currency": "<string>",
"duration_in_months": 123,
"redeem_by": "2023-11-07T05:31:56Z",
"max_redemptions": 123,
"price_variants": [
"<string>"
]
}
'
import requests

url = "https://api.crevio.co/v1/discounts/{id}"

payload = {
"code": "<string>",
"amount_off": 123,
"percent_off": 123,
"currency": "<string>",
"duration_in_months": 123,
"redeem_by": "2023-11-07T05:31:56Z",
"max_redemptions": 123,
"price_variants": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
amount_off: 123,
percent_off: 123,
currency: '<string>',
duration_in_months: 123,
redeem_by: '2023-11-07T05:31:56Z',
max_redemptions: 123,
price_variants: ['<string>']
})
};

fetch('https://api.crevio.co/v1/discounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "code": "<string>",
  "amount_off": 123,
  "duration_in_months": 123,
  "max_redemptions": 123,
  "times_redeemed": 123,
  "redeem_by": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "percent_off": 123,
  "currency": "<string>"
}
{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}
{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}
{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Body

application/json
code
string
discount_type
enum<string>
Available options:
percentage,
fixed
amount_off
integer | null
percent_off
number | null
currency
string | null
duration
enum<string>
Available options:
forever,
once,
repeating
duration_in_months
integer | null
redeem_by
string<date-time> | null
max_redemptions
integer | null
price_variants
string[]

Response

Discount updated

id
string
required
object
string
required
status
enum<string>
required
Available options:
active,
inactive
discount_type
enum<string>
required
Available options:
percentage,
fixed
code
string
required
amount_off
integer | null
required
duration
enum<string>
required
Available options:
forever,
once,
repeating
duration_in_months
integer | null
required
max_redemptions
integer | null
required
times_redeemed
integer
required
redeem_by
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
percent_off
number<double> | null
required
currency
string | null
required